## Cloudflare Node Cache Clear

Module that integrates with the Cloudflare API & service. Gives an
admin user the ability to clear cache per node. Additional button is
added to node edit forms to perform this ability.

Also, adds an option to clear whole cache site-wide and is placed
with other cache clearing options for ease of use.

If you are using multiple zones and one per language/domain, you
can easily configure this as well.

* For a full description of the module, visit the project page:
  https://www.drupal.org/project/cloudflare_node_cc


* To submit bug reports and feature suggestions, or track changes:
  https://www.drupal.org/project/issues/cloudflare_node_cc

### Required

* Cloudflare SDK (will be installed via Composer).
* Cloudflare API Account (Email, API Key or Token & Zone Id is required).

### Composer Dependencies

This module depends upon Composer to install (it's dependencies).

* cloudflare sdk library - (cloudflare/sdk)

### Module Dependencies

* Key module (https://www.drupal.org/project/key)

### Install/Usage

* Install as you would normally install a contributed Drupal module. Visit
  https://www.drupal.org/node/1897420 for further information. Installing
  through composer will pull in all required dependencies.

```bash
composer require drupal/cloudflare_node_cc
```

* Setup api key or token here: **/admin/config/system/keys**

* Configure Cloudflare API settings at (**/admin/config/cloudflare-node-cache-clear**)

* If purging a single node cache, please visit the edit page of the node and
purge via action button.

* If purging whole site wide cache, go through admin toolbar tools menu item
"Purge Cloudflare Cache" or via: (**/admin/cloudflare-node-cache-clear/purge-cache**)

### Maintainers

George Anderson (geoanders)
https://www.drupal.org/u/geoanders
